> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Details

> Return Video Details



## OpenAPI

````yaml /openapi/tiktok.openapi.json post /v1/data/tiktok/video/details
openapi: 3.0.0
info:
  title: agntdata TikTok API
  description: >-
    Robust and easy-to-use TikTok API providing extensive TikTok user profiles,
    in-depth TikTok video insights, and trending TikTok content. The API enables
    powerful search capabilities across TikTok users, videos, sounds, and
    hashtags, making it ideal for deep TikTok analytics and audience engagement
    insights.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Video
    description: ''
  - name: Search
    description: ''
  - name: Collections
    description: ''
paths:
  /v1/data/tiktok/video/details:
    post:
      tags:
        - Video
      summary: Video Details
      description: Return Video Details
      operationId: Video_Details
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              title: VideoDetailsRequest
              required:
                - video_id
              type: object
              properties:
                video_id:
                  title: Video Id
                  type: string
              description: Schema Class for a Tiktok Video Details
            example:
              video_id: '7149284958899785006'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_tiktok_video_details_Response'
              example:
                video_id: '7149284958899785006'
                details:
                  video_id: '7149284958899785006'
                  description: >-
                    Want to work with me? Duet and show me what you got.
                    #ziprecruiterpartner #putziprecruitertoworkforyou 
                  create_time: '1664572629'
                  author: mrbeast
                  author_id: '6614519312189947909'
                  author_name: MrBeast
                  statistics:
                    number_of_comments: 4004
                    number_of_hearts: 236100
                    number_of_plays: 2100000
                    number_of_reposts: 732
                  cover: >-
                    https://p19-sign.tiktokcdn-us.com/obj/tos-useast5-p-0068-tx/c2357b5cea4d4ab7a94a563a6ea2e212_1664572630?x-expires=1664665200&x-signature=o%2BjEfPOqRL1zZqh%2B2nopf%2BQRRVw%3D
                  download_url: >-
                    https://v16m-webapp.tiktokcdn-us.com/97435d44942ade1d02f84827234e1ab1/6338cb52/video/tos/useast5/tos-useast5-ve-0068c003-tx/0f32e50b0d5b482f89f9dcc8bc4b2423/?a=1988&ch=0&cr=0&dr=0&lr=tiktok_m&cd=0%7C0%7C1%7C0&cv=1&br=2490&bt=1245&cs=0&ds=3&ft=ebtHKH-qMyq8ZjULDhe2N5aRfl7Gb&mime_type=video_mp4&qs=0&rc=ZDtoNWgzOjQ3M2VnZmVmNEBpM2xycTk6Zm1vZjMzZzczNEBgNS4wYGEyNmIxYzNeMjZjYSNmby9xcjRnam9gLS1kMS9zcw%3D%3D&l=20221001172034DE163AD3D81E532B166E
                  video_definition: 720p
                  format: null
                  bitrate: 1275084
                  duration: 17
                  avatar_thumb: >-
                    https://p16-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/54435a1ec165931f60f2a3872de74aa5~c5_100x100.jpeg?x-expires=1664816400&x-signature=NntizmoVL68NAjoz6%2Bqy6nij3P8%3D
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_tiktok_video_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_tiktok_video_details_Response:
      type: object
      properties:
        video_id:
          type: string
        details:
          type: object
          properties:
            video_id:
              type: string
            description:
              type: string
            create_time:
              type: string
            author:
              type: string
            author_id:
              type: string
            author_name:
              type: string
            statistics:
              type: object
              properties:
                number_of_comments:
                  type: integer
                number_of_hearts:
                  type: integer
                number_of_plays:
                  type: integer
                number_of_reposts:
                  type: integer
            cover:
              type: string
            download_url:
              type: string
            video_definition:
              type: string
            format:
              type: string
              nullable: true
            bitrate:
              type: integer
            duration:
              type: integer
            avatar_thumb:
              type: string
    Post_tiktok_video_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  type: string
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````